# QCompleter Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QCompleter(QAbstractItemModel model, QObject parent)
- void QCompleter(QObject parent)
- void QCompleter(List completions, QObject parent)

### Constructor Properties

- prototype: The QCompleter prototype object
- UnsortedModel = 0
- CaseSensitivelySortedModel
- CaseInsensitivelySortedModel
- ModelSorting( value )
- PopupCompletion
- UnfilteredPopupCompletion
- InlineCompletion
- CompletionMode( value )

### Prototype Object Properties

The QCompleter prototype object inherits properties from the QObject prototype object and also has the following properties.

- int completionCount()
- QAbstractItemModel completionModel()
- String currentCompletion()
- QModelIndex currentIndex()
- int currentRow()
- QAbstractItemModel model()
- String pathFromIndex(QModelIndex index)
- QAbstractItemView popup()
- bool setCurrentRow(int row)
- void setModel(QAbstractItemModel c)
- void setPopup(QAbstractItemView popup)
- void setWidget(QWidget widget)
- List splitPath(String path)
- QWidget widget()

### Instance Properties

QCompleter objects inherit properties from the QCompleter prototype object and also have the following properties.

- completionPrefix
- modelSorting
- completionMode
- completionColumn
- completionRole
- maxVisibleItems
- caseSensitivity
- wrapAround